Citation Policy
===============

If you use kdotpy, and you benefit from this program, we expect that you cite
our work in accordance with the rules of good scientific practice.


> **NOTE**: The article that accompanies the code is currently being prepared. It
may change status from "in preparation" to "preprint" and to a full-fledged
journal publication in the near future. Please take note that the preferred way
of citing kdotpy will change accordingly.


Detailed instructions
---------------------

- In works in text form, cite the kdotpy project by putting the following
  citation in your reference list:
  
  > W. Beugeling, F. Bayer, C. Berger, J. Böttcher, L. Bovkun, C. Fuchs, 
  M. Hofer, S. Shamim, M. Siebert, L.-X. Wang, E. M. Hankiewicz, T. Kießling,
  H. Buhmann, and L. W. Molenkamp,
  "kdotpy: k·p theory on a lattice for simulating semiconductor band structures",
  arXiv: 2407.xxxxx (2024).
  
  The citation style may be adjusted as to conform with the guidelines of the
  publisher. The author list may be abbreviated as
  > W. Beugeling et al. (The kdotpy collaboration)
  
  Works in text form include journal articles, preprints, theses, conference
  abstracts, conference proceedings, internal reports, and further work similar
  to these.

- In works in text form, indicate clearly where kdotpy has been used and which
  results have been obtained using kdotpy. In the text, place citation
  references in the appropriate places. For figures, it is recommended to add
  citation references to the figure captions.
  
- In presentations, cite kdotpy prominently at least once. The citation style
  may be chosen at will, provided that it contains the first author, the name
  'kdotpy', and the publication year. For graphics involving content generated
  by or with kdotpy, it is encouraged that you use the kdotpy logo bundled with
  the project in the `docs/logo/` directory.

  Presentations include oral presentations (in conferences, workshops, seminars,
  and alike), lectures, and posters. Abstracts for presentations are considered
  works in text form.

- These instructions also apply to results from kdotpy that have been processed
  afterwards by some other program and/or tool. In particular, if you generate
  graphics using the data files provided by kdotpy, you must also follow the
  instructions above.

- For works in text form, it is recommended that you indicate how you used
  kdotpy, in particular the command line arguments and configuration settings
  being used. Also indicate clearly if substantial processing has been done
  afterwards.
  
  Whether this recommendation applies depends on the nature of the work. For
  example, for a conference abstract, it is neither customary nor useful to
  include such amount of detail.
  
  For written publications such as journal articles, preprints, theses, and
  similar works, it is generally advisable to provide these details in an
  appendix, supplemental document, methods section, or similar. For submission
  of data (encouraged by some journals), it is preferred that you submit at
  least the XML data files, as these contain the metadata necessary for
  reproducing the results. Submitting (some of) the CSV output files in
  addition can also be useful.

BibTeX entry
------------

You may use the following BibTeX entry until the preprint version appears:
```
@unpublished{kdotpy2024preprint,
  title = {kdotpy: \ensuremath{\mathbf{k}\cdot\mathbf{p}} theory on a lattice for simulating semiconductor band structures},
  author = {Wouter Beugeling and Florian Bayer and Christian Berger and Jan B{\"o}ttcher and Leonid Bovkun and Christopher Fuchs and Maximilian Hofer and Saquib Shamim and Moritz Siebert and Li-Xian Wang and Ewelina M. Hankiewicz and Tobias Kie{\ss}ling and Hartmut Buhmann and Laurens W. Molenkamp},
  year = {2024},
  eprint = {2407.xxxxx}
}
```
