Guidelines for contributors
===========================

This document summarizes some aspects and core values that the developers on
the kdotpy project are expected to follow. These statements serve to make the
processes of developing software and doing science as smooth and as constructive
as possible.


Contributors
============

Anyone who is interested in kdotpy is encouraged to contribute by providing
feedback and suggestions, or by actively assisting in writing code, designing
new features, and maintaining the documentation.
The central hub for these activities is the Git repository, but also feedback
by e-mail is welcome.

All contributors are expected to act professionally and responsibly at all
times. In the context of social interaction, it is expected that the guidelines
spelled out by the [Berlin Code of Conduct](https://berlincodeofconduct.org) are
followed. Contributors must also act in line with the generally accepted ideas
of good scientific practice.

All contributors must also respect further applicable laws and regulations,
including, but not limited to:
- The license terms and conditions of kdotpy
- License and/or copyright terms of other works
- The terms and conditions for using the IT infrastructure of the University of
  Würzburg, whenever this infrastructure is used

If you detect or suspect a violation of any of the above rules, please report
to the Developer Team as soon as possible. The Developer Team shall handle such
reports confidentially.


Developer Team
==============

If you wish to become part of the Developer Team, contact us (the existing team)
and let us known how you plan to contribute. When you apply to be a member of
the Developer Team, your application shall be evaluated by the existing team.

Being a developer comes with more responsibilities than 'ordinary' contributors
have. All members of the development team are expected to act in a cooperative
manner and in the spirit of the (longer term) project schedule. For this,
frequent discussions among the developers is essential.


Code contributions: AI tools and copyright 
------------------------------------------

Recently, various AI tools have become available that generate computer code, 
among other content like text and images. While these tools may seem useful as
an aid to develop software more efficiently, they are controversial and thus we
strongly discourage their use for the development on kdotpy. Firstly, they may
(sometimes inadvertently) lead to copyright infringement, since it is often
unclear what the source of the generated content is. Secondly, the lack of
transparency of the source of the generated content goes against the principles
of good science as well as those of open source software.

Being part of the kdotpy Developer Team means that you take full responsibility
for the code you contribute and you certify that it does not infringe on others'
intellectual property rights (copyright). The use of AI tools to generate code
for kdotpy is generally not acceptable. If you use significant code fragments or
take inspiration from online sources (e.g., stackoverflow.com), you must include
a comment in your code with a link to the source. (Basic code which is not
considered to be copyrightable is exempt from this requirement.)


Contact
=======

e-mail: kdotpy@uni-wuerzburg.de

website: https://kdotpy.physik.uni-wuerzburg.de

Git repository: https://git.physik.uni-wuerzburg.de/kdotpy/kdotpy
